del Pix16\*.*
@echo off
echo This program modifies the 'VW Golf GL', depending on your selections.
echo For this car, the following are available:
echo -Physics changes
echo -> Real physics (can be difficult to handle with keyboards)
echo -> Fun physics
echo -Colour changes
echo -Model changes
echo.
echo Choose a model or an option:
echo.
echo 1) Copcar
echo 2) Stock-version
echo 3) Lowered stock-version
echo 4) Convertible
echo 5) Bigfoot
echo 6) NEW - Bonnet option
echo 7) NEW colors (not for the copcar)
echo 8) No change (=Exit)
echo.
choice /C:12345678 "    "
if errorlevel 8 goto NoChange
if errorlevel 7 goto NewColors
if errorlevel 6 goto Bonnet
if errorlevel 5 goto Bigfoot
if errorlevel 4 goto Convertible
if errorlevel 3 goto Lowered
if errorlevel 2 goto Stock
goto Copcar


:Bonnet
cls
echo Do you want the bonnet to open, or to crumple?
echo.
echo 1) Open
echo 2) Crumple
echo.
choice /C:12 " "
if errorlevel 2 goto Crumpling
copy Mods\BonnetOpens.WAM C2SGolf.wam
goto Exit
:Crumpling
copy Mods\BonnetCrumples.WAM C2SGolf.wam
goto exit


:Copcar
copy mods\models\Copcar\c2sgolf*.*
copy mods\colours\black\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
cls
echo Which physics would you like to use for the copcar?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealCop
copy mods\models\copcar\fun.txt c2sgolf.txt
goto Exit
:ARealCop
copy mods\models\copcar\real.txt c2sgolf.txt
goto Exit

:Stock
copy mods\models\stock\c2sgolf*.*
cls
echo Which physics would you like to use for the stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealStock
copy mods\models\stock\fun.txt c2sgolf.txt
goto Colour
:ARealStock
copy mods\models\stock\real.txt c2sgolf.txt
goto Colour

:Lowered
copy mods\models\lowstock\c2sgolf*.*
cls
echo Which physics would you like to use for the lowered stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealLowered
copy mods\models\lowstock\fun.txt c2sgolf.txt
goto Colour
:ARealLowered
copy mods\models\lowstock\real.txt c2sgolf.txt
goto Colour

:Convertible
copy mods\models\convertible\c2sgolf*.*
cls
echo Which physics would you like to use for the convertible?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealConvertible
copy mods\models\convertible\fun.txt c2sgolf.txt
goto Colour
:ARealConvertible
copy mods\models\convertible\real.txt c2sgolf.txt
goto Colour

:Bigfoot
copy mods\models\bigfoot\c2sgolf*.*
cls
echo Which physics would you like to use for the bigfoot car?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealBigfoot
copy mods\models\bigfoot\fun.txt c2sgolf.txt
goto Colour
:ARealBigfoot
copy mods\models\bigfoot\real.txt c2sgolf.txt
goto Colour



:Colour
cls
echo Choose a colour:
echo.
echo 1) Black
echo 2) Light Brown
echo 3) Dark Blue
echo 4) Dark Green
echo 5) Light Blue
echo 6) Red
echo 7) Dark Gray
echo 8) White
echo 9) Yellow
echo.
choice /C:123456789 " "
if errorlevel 9 goto Yellow
if errorlevel 8 goto White
if errorlevel 7 goto DarkGray
if errorlevel 6 goto Red
if errorlevel 5 goto LightBlue
if errorlevel 4 goto DarkGreen
if errorlevel 3 goto DarkBlue
if errorlevel 2 goto LightBrown
goto Black



:Yellow
copy mods\colours\yellow\C2SGolf.mat
copy mods\colours\yellow\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:White
copy mods\colours\white\C2SGolf.mat
copy mods\colours\white\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:DarkGray
copy mods\colours\darkgray\C2SGolf.mat
copy mods\colours\darkgray\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:Red
copy mods\colours\red\C2SGolf.mat
copy mods\colours\red\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:LightBlue
copy mods\colours\lightblue\C2SGolf.mat
copy mods\colours\lightblue\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:DarkGreen
copy mods\colours\darkgreen\C2SGolf.mat
copy mods\colours\darkgreen\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:DarkBlue
copy mods\colours\darkblue\C2SGolf.mat
copy mods\colours\darkblue\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:LightBrown
copy mods\colours\brown\C2SGolf.mat
copy mods\colours\brown\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:Black
copy mods\colours\black\C2SGolf.mat
copy mods\colours\black\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit



:NewColors
cls
echo Choose a colour:
echo.
echo 1) Lime Green
echo 2) Silver
echo 3) Orange
echo 4) Very dark red
echo 5) Green-ish
echo 6) Orange & Yellow

echo.
choice /C:123456 " "
if errorlevel 6 goto OrangeYellow
if errorlevel 5 goto YellowGreen
if errorlevel 4 goto RedBlue
if errorlevel 3 goto Orange
if errorlevel 2 goto Silver
goto LimeGreen


:OrangeYellow
copy mods\colours\orange\C2SGolf.mat
copy mods\colours\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:YellowGreen
copy mods\colours\darkgreen\C2SGolf.mat
copy mods\colours\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:RedBlue
copy mods\colours\darkblue\C2SGolf.mat
copy mods\colours\red\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:Orange
copy mods\colours\orange\C2SGolf.mat
copy mods\colours\orange\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:Silver
copy mods\colours\silver\C2SGolf.mat
copy mods\colours\silver\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit

:LimeGreen
copy mods\colours\limegreen\C2SGolf.mat
copy mods\colours\limegreen\GolfColor.tif tiffrgb
del pix16\GolfColor.pix
goto Exit






:Exit
cls
echo Changes are made, program is ended.
exit


:NoChange
cls
echo No changes made this time, program is ended.
exit